import java.util.ArrayList;

/**
 * アドレス帳のデータを管理するクラス
 * 
 * @author your name
 */

public class AddressBook {

	// このアドレス帳で管理されているアドレスカードのリスト。AddressCardクラスのArrayListで管理する。
	private ArrayList<AddressCard> listOfAddressCards;
	
	
	/**
	 * AddressCardクラスのArrayListのフィールドlistOfAddressCardsを初期化する
	 * 完成済みなので変更は不要
	 */
	public AddressBook(){
		listOfAddressCards = new ArrayList<AddressCard>();
	}
	
	
	/**
	 * 新たなアドレスカードを登録する。すなわち、AddressCardクラスのArrayListの
	 * フィールドlistOfAddressCardsに、AddressCardクラスのオブジェクトを追加する。
	 * 
	 * @param card 新たに登録するアドレスカード
	 */
	public void registerCard(AddressCard card){
		// 未完成

	}
	
	
	/**
	  * アドレス帳で管理されているアドレスカードのリストを戻すゲッター
	  * @return アドレスカードのリスト
	  */
	public ArrayList<AddressCard> getList() {
		// 未完成
		return null;	// 仮の戻り値（変更すること）
	}
	
	
	/** 
	 * 引数nameと同じ名前の人のメールアドレスを戻す。
	 * もし同姓同名の人がいる場合は、最初に名前が合致した人のメールアドレスを戻す。
	 * 該当者がいなければ「該当者なし」と戻す。
	 * 
	 * @param name メールアドレスを検索したい人の名前
	 * @return 検索結果のメールアドレス
	 */
	public String askMailAddr(String name){
		// 未完成（以降の処理は仮のものなので変更すること）
		String ret = "該当者なし";
		
		return ret;
	}
	
	
	/**
	 * フィールドlistOfAddressCardsに含まれるアドレスカードの情報すべてを表示する。
	 * 情報とは、アドレスカードを表すAddressCardクラスオブジェクトのaddressInfoメソッド
	 * により作られるものを指す。
	 */
	public void printAllAddresses(){
	
		// 未完成
	}
	
	
	
	/** 
	 * 引数nameが名前に含まれるアドレスカードの情報を探索する。該当するアドレスカード
	 * があれば、各アドレスカードの情報をそれぞれStringにしてString型ArrayListで戻す。
	 * 各アドレスカードの情報とは、各アドレスカードを表すAddressCardクラスオブジェクトの
	 * addressInfoメソッドにより作られるものを指す。
	 * 該当するアドレスカードがなければ「該当者なし」というString１つだけを要素に持つ
	 * String型ArrayListを戻す。
	 * 
	 * @param name 探索する名前
	 * @return 該当するアドレスカードの情報をString型ArrayListで戻す
	 */
	public ArrayList<String> serchByName(String name){
		
		// 未完成
		return null;	// 仮の戻り値（変更すること）
	}
	
	
	/**
	 * 引数で与えられた2つのAddressCardクラスのオブジェクトが、同じ情報を持っている
	 * かを判定する。情報とは、アドレスカードを表すAddressCardクラスオブジェクトの
	 * addressInfoメソッドにより作られるものを指す。
	 * 同じ情報を持っていたらtrueを、そうでなければfalseを戻す。
	 * 
	 * @param card1  判定対象のAddressCardクラスのオブジェクト1
	 * @param card2  判定対象のAddressCardクラスのオブジェクト2
	 * 
	 * @return 同じ情報を持っているかの判定結果（true:持っている，false:持っていない）
	 */
	public boolean checkSameAddress(AddressCard card1, AddressCard card2){
		// 未完成
		return true;	// 仮の戻り値（変更すること）
	}
	
	

	/**
	 * フィールドlistOfAddressCardsに、同じ情報を持っているアドレスカードがないか
	 * を判定する。情報とは、アドレスカードを表すAddressCardクラスオブジェクトの
	 * addressInfoメソッドにより作られるものを指す。
	 * 同じ情報を持っているアドレスカードがあれば、その情報をStringにしてString型
	 * ArrayListで戻し（同じ情報をもつカードの情報は複数ArrayListに格納する必要はない）
	 * そうでなければ「重複なし」というString１つだけを要素に持つString型ArrayList
	 * を戻す。
	 * 
	 * @return 同じ情報を持っているかの結果を示すString型ArrayList
	 */
	public ArrayList<String> checkDuplicate() {
		
		// 未完成（以降の処理は仮のものなので変更すること）
		ArrayList<String> ret = new ArrayList<String>();
		ret.add("重複なし");
		
		return ret;
	}


}
