import java.util.ArrayList;

/**
 * 動作チェック用のクラス
 * 
 */
public class Exam20 {
	public static void main(String[] args) {
		AddressBook book = new AddressBook();

		AddressCard card1 = new AddressCard("田中一郎","tanaka@hoge.com",21);
		AddressCard card2 = new AddressCard("山田花子","hanako@foo.com",20);
		AddressCard card3 = new AddressCard("山田太郎","taro@bar.com",24);
		AddressCard card4 = new AddressCard("佐藤次郎","sato999@kindai.ac.jp",30);
		AddressCard card5 = new AddressCard("田中一郎","tanaka@hoge.com",21);

		book.registerCard(card1);
		book.registerCard(card2);
		book.registerCard(card3);
		book.registerCard(card4);
		book.registerCard(card5);

		// AddressCardクラスのゲッターの動作確認
		System.out.printf("%sさんは%d歳でメールアドレスは%sです。\n", card1.getName(), card1.getAge(), card1.getMailAddr());
		
		System.out.println("============= (1) =============");
		
		// AddressBookクラスのゲッターの動作確認
		if (book.getList()!=null) {
			System.out.printf("%sさんは%d歳でメールアドレスは%sです。\n"
				, book.getList().get(2).getName(), book.getList().get(2).getAge(), book.getList().get(2).getMailAddr());
		}
		else {
			System.out.printf("未完成です\n");
		}

		System.out.println("============= (2) =============");


		System.out.printf("addressInfoメソッドの動作確認:%s\n",card1.addressInfo());
		System.out.printf("addressInfoメソッドの動作確認:%s\n",card3.addressInfo());

		System.out.println("============= (3) =============");

		// askMailAddrメソッドの動作確認
		System.out.printf("山田花子さんのメールアドレスは%sです。\n", book.askMailAddr("山田花子"));
		System.out.printf("佐藤次郎さんのメールアドレスは%sです。\n", book.askMailAddr("佐藤次郎"));
		System.out.printf("奈々氏権兵衛さんのメールアドレスは%sです。\n", book.askMailAddr("奈々氏権兵衛"));

		System.out.println("============= (4) =============");

		// printAllAddressesメソッドの動作確認
		book.printAllAddresses();

		System.out.println("============= (5) =============");

		// serchByNameメソッドの動作確認
		System.out.println("山田を含むアドレスリスト");
		if (book.getList()!=null) {
			if (book.serchByName("山田")!=null) {
				ArrayList<String> strList = book.serchByName("山田");
				for(String str : strList) {
					System.out.printf("%s\n", str);
				}

				System.out.println("中川を含むアドレスリスト");
				strList = book.serchByName("中川");
				for(String str : strList) {
					System.out.printf("%s\n", str);
				}
			} else System.out.printf("未完成です\n");
		} else System.out.printf("未完成です\n");

		System.out.println("============= (6) =============");

		// checkDuplicateメソッドの動作確認
		ArrayList<String> strList = book.checkDuplicate();
		for(String str : strList) {
			System.out.printf("重複チェック結果:%s\n", str);
		}
		
		System.out.println("============= (7) =============");

	}
}

